<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: RemotelyActivatedItemBehaviour Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d4e/class_remotely_activated_item_behaviour.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">RemotelyActivatedItemBehaviour Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aaf8887d8b182a233e1b75d3d538f65a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#aaf8887d8b182a233e1b75d3d538f65a4">RemotelyActivatedItemBehaviour</a> (notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> pParent)</td></tr>
<tr class="separator:aaf8887d8b182a233e1b75d3d538f65a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a88bdc33948908917b0b0646527f0d5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a0a88bdc33948908917b0b0646527f0d5">OnVariableSynchronized</a> ()</td></tr>
<tr class="separator:a0a88bdc33948908917b0b0646527f0d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34d2aaca3482c187a1e595afce587897"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a34d2aaca3482c187a1e595afce587897">Pair</a> ()</td></tr>
<tr class="separator:a34d2aaca3482c187a1e595afce587897"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad144a49028581e609fced94901d2fb16"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#ad144a49028581e609fced94901d2fb16">Pair</a> (notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> device)</td></tr>
<tr class="separator:ad144a49028581e609fced94901d2fb16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a348985aa8f60c193a6a51d3c1af3efb0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a348985aa8f60c193a6a51d3c1af3efb0">Unpair</a> ()</td></tr>
<tr class="separator:a348985aa8f60c193a6a51d3c1af3efb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87a07217c82311b127a73c2dcf1fcf93"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a87a07217c82311b127a73c2dcf1fcf93">GetPairDevice</a> ()</td></tr>
<tr class="separator:a87a07217c82311b127a73c2dcf1fcf93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a504e9506cf4236eba096b3f492b236a4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a504e9506cf4236eba096b3f492b236a4">IsPaired</a> ()</td></tr>
<tr class="separator:a504e9506cf4236eba096b3f492b236a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a261404e5184953c828cce0e196ef5f56"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a261404e5184953c828cce0e196ef5f56">SetPairDeviceNetIds</a> (notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> device)</td></tr>
<tr class="separator:a261404e5184953c828cce0e196ef5f56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb955b06d962134a18df43d6a6924080"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#aeb955b06d962134a18df43d6a6924080">GetPairDeviceNetIdLow</a> ()</td></tr>
<tr class="separator:aeb955b06d962134a18df43d6a6924080"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adacc320adf82b24cfa8f0164c56101c4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#adacc320adf82b24cfa8f0164c56101c4">GetPairDeviceNetIdHigh</a> ()</td></tr>
<tr class="separator:adacc320adf82b24cfa8f0164c56101c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a3508d64335d448ea0addfc5aeaa658c0"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a3508d64335d448ea0addfc5aeaa658c0">m_Parent</a></td></tr>
<tr class="separator:a3508d64335d448ea0addfc5aeaa658c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73ab1c79b8983ac9f7f7fe07173b277e"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a73ab1c79b8983ac9f7f7fe07173b277e">m_PairDevice</a></td></tr>
<tr class="separator:a73ab1c79b8983ac9f7f7fe07173b277e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a277d6f38db0ba7ad69f1726afda9e2e1"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a277d6f38db0ba7ad69f1726afda9e2e1">m_PairDeviceNetIdLow</a></td></tr>
<tr class="separator:a277d6f38db0ba7ad69f1726afda9e2e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1d7a9e86319803c5c75720beb39629b"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#ad1d7a9e86319803c5c75720beb39629b">m_PairDeviceNetIdHigh</a></td></tr>
<tr class="separator:ad1d7a9e86319803c5c75720beb39629b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aaf8887d8b182a233e1b75d3d538f65a4" name="aaf8887d8b182a233e1b75d3d538f65a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf8887d8b182a233e1b75d3d538f65a4">&#9670;&#160;</a></span>RemotelyActivatedItemBehaviour()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotelyActivatedItemBehaviour::RemotelyActivatedItemBehaviour </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>pParent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00008">8</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a87a07217c82311b127a73c2dcf1fcf93" name="a87a07217c82311b127a73c2dcf1fcf93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87a07217c82311b127a73c2dcf1fcf93">&#9670;&#160;</a></span>GetPairDevice()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> RemotelyActivatedItemBehaviour::GetPairDevice </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00057">57</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="adacc320adf82b24cfa8f0164c56101c4" name="adacc320adf82b24cfa8f0164c56101c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adacc320adf82b24cfa8f0164c56101c4">&#9670;&#160;</a></span>GetPairDeviceNetIdHigh()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RemotelyActivatedItemBehaviour::GetPairDeviceNetIdHigh </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00077">77</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="aeb955b06d962134a18df43d6a6924080" name="aeb955b06d962134a18df43d6a6924080"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb955b06d962134a18df43d6a6924080">&#9670;&#160;</a></span>GetPairDeviceNetIdLow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RemotelyActivatedItemBehaviour::GetPairDeviceNetIdLow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00072">72</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="a504e9506cf4236eba096b3f492b236a4" name="a504e9506cf4236eba096b3f492b236a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a504e9506cf4236eba096b3f492b236a4">&#9670;&#160;</a></span>IsPaired()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> RemotelyActivatedItemBehaviour::IsPaired </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00062">62</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="a0a88bdc33948908917b0b0646527f0d5" name="a0a88bdc33948908917b0b0646527f0d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a88bdc33948908917b0b0646527f0d5">&#9670;&#160;</a></span>OnVariableSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotelyActivatedItemBehaviour::OnVariableSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00015">15</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="a34d2aaca3482c187a1e595afce587897" name="a34d2aaca3482c187a1e595afce587897"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34d2aaca3482c187a1e595afce587897">&#9670;&#160;</a></span>Pair() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotelyActivatedItemBehaviour::Pair </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00020">20</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="ad144a49028581e609fced94901d2fb16" name="ad144a49028581e609fced94901d2fb16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad144a49028581e609fced94901d2fb16">&#9670;&#160;</a></span>Pair() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotelyActivatedItemBehaviour::Pair </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00029">29</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="a261404e5184953c828cce0e196ef5f56" name="a261404e5184953c828cce0e196ef5f56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a261404e5184953c828cce0e196ef5f56">&#9670;&#160;</a></span>SetPairDeviceNetIds()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotelyActivatedItemBehaviour::SetPairDeviceNetIds </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00067">67</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="a348985aa8f60c193a6a51d3c1af3efb0" name="a348985aa8f60c193a6a51d3c1af3efb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a348985aa8f60c193a6a51d3c1af3efb0">&#9670;&#160;</a></span>Unpair()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotelyActivatedItemBehaviour::Unpair </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00043">43</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a73ab1c79b8983ac9f7f7fe07173b277e" name="a73ab1c79b8983ac9f7f7fe07173b277e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73ab1c79b8983ac9f7f7fe07173b277e">&#9670;&#160;</a></span>m_PairDevice</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> RemotelyActivatedItemBehaviour::m_PairDevice</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00004">4</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="ad1d7a9e86319803c5c75720beb39629b" name="ad1d7a9e86319803c5c75720beb39629b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1d7a9e86319803c5c75720beb39629b">&#9670;&#160;</a></span>m_PairDeviceNetIdHigh</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RemotelyActivatedItemBehaviour::m_PairDeviceNetIdHigh</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00006">6</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="a277d6f38db0ba7ad69f1726afda9e2e1" name="a277d6f38db0ba7ad69f1726afda9e2e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a277d6f38db0ba7ad69f1726afda9e2e1">&#9670;&#160;</a></span>m_PairDeviceNetIdLow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RemotelyActivatedItemBehaviour::m_PairDeviceNetIdLow</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00005">5</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<a id="a3508d64335d448ea0addfc5aeaa658c0" name="a3508d64335d448ea0addfc5aeaa658c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3508d64335d448ea0addfc5aeaa658c0">&#9670;&#160;</a></span>m_Parent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> RemotelyActivatedItemBehaviour::m_Parent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00003">3</a> of file <a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ExplosivesBase/<a class="el" href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html">RemotelyActivatedItemBehaviour.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d4e/class_remotely_activated_item_behaviour.html">RemotelyActivatedItemBehaviour</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
